# Scheduled Actions as Queue Jobs

This module extends the functionality of queue_job and allows to run an Odoo cron as a queue job.

Table of contents

- Installation
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Installation

To install this module, you need to:

1. Just install it.

# Usage

To use this module, you need to:

#. Go to a scheduled action, a flag “Run as queue job” will allow you to run the action as a queue job. You will also allowed to select a channel of its execution. To configure dedicated channels please refers to queue_job help: https://github.com/OCA/queue/blob/12.0/queue_job/README.rst

Channels can be used to manage sequential jobs and prevent concurrency accesses. To do that you just have to define a channel per cron limited to 1 at time.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

- Cédric Pigeon <cedric.pigeon@acsone.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/queue project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.